com.corticon.services.metadata.decisionservice

## Interface IDecisionServiceMetadata

-     public interface IDecisionServiceMetadata

  Interface IDecisionServiceMetadata provides methods related to a values associated with the Decision Service that is currently executing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getContainsServiceCallouts()` Get whether the deployed Decision Service contains any Service Callouts.
    `java.lang.String` | `getDecisionServiceName()` Get the Decision Service's 'Name' value
    `java.lang.String` | `getDecisionServiceVersionDisplay()` A utility method that offers up a clean looking Version String.
    `java.lang.String` | `getEffectiveDateStart()` Get the Decision Service's 'Effective Date Start' value
    `java.lang.String` | `getEffectiveDateStop()` Get the Decision Service's 'Effective Date Stop' value
    `int` | `getRuleAssetMajorVersionNumber()` Get the Decision Service's 'RuleAsset Major Version Number' value
    `int` | `getRuleAssetMinorVersionNumber()` Get the Decision Service's 'RuleAsset Minor Version Number' value
    `int` | `getRuleCount()` Get the Decision Service's 'Rule Count' value
    `boolean` | `isAutoReloadRules()` Get the Decision Service's 'Auto Reload Rules' value
    `boolean` | `isConfiguredForDatabaseAccess()` Get whether the Decision Service is configured for Database Access (EDC)
    `boolean` | `isConfiguredForObjectExecution()` Get whether the Decision Service is configured for Object Execution
    `boolean` | `isDeployedAsEds()` Get whether the Decision Service was deployed using an .eds file.
    `boolean` | `isDeployedThroughStudioTester()` Get whether the Decision Service was deployed through the Studio's Tester

- - ### Method Detail

    - #### getDecisionServiceName

          java.lang.String getDecisionServiceName()

      Get the Decision Service's 'Name' value
      Returns:
        A String of Decision Service's 'Name' value

    - #### isAutoReloadRules

          boolean isAutoReloadRules()

      Get the Decision Service's 'Auto Reload Rules' value
      Returns:
        A String of Decision Service's 'Auto Reload Rules' value

    - #### isDeployedAsEds

          boolean isDeployedAsEds()

      Get whether the Decision Service was deployed using an .eds file.
      Returns:
        A boolean of whether the Decision Service was deployed using an .eds file.

    - #### isDeployedThroughStudioTester

          boolean isDeployedThroughStudioTester()

      Get whether the Decision Service was deployed through the Studio's Tester
      Returns:
        A boolean of whether the Decision Service was deployed through the Studio's Tester

    - #### getRuleCount

          int getRuleCount()

      Get the Decision Service's 'Rule Count' value
      Returns:
        A int of Decision Service's 'Rule Count' value

    - #### getContainsServiceCallouts

          boolean getContainsServiceCallouts()

      Get whether the deployed Decision Service contains any Service Callouts.
      Returns:
        A boolean of whether the deployed Decision Service contains any Service Callouts

    - #### getRuleAssetMajorVersionNumber

          int getRuleAssetMajorVersionNumber()

      Get the Decision Service's 'RuleAsset Major Version Number' value
      Returns:
        A int of Decision Service's 'RuleAsset Major Version Number' value

    - #### getRuleAssetMinorVersionNumber

          int getRuleAssetMinorVersionNumber()

      Get the Decision Service's 'RuleAsset Minor Version Number' value
      Returns:
        A int of Decision Service's 'RuleAsset Minor Version Number' value

    - #### getEffectiveDateStart

          java.lang.String getEffectiveDateStart()

      Get the Decision Service's 'Effective Date Start' value
      Returns:
        A String of Decision Service's 'Effective Date Start' value

    - #### getEffectiveDateStop

          java.lang.String getEffectiveDateStop()

      Get the Decision Service's 'Effective Date Stop' value
      Returns:
        A String of Decision Service's 'Effective Date Stop' value

    - #### isConfiguredForDatabaseAccess

          boolean isConfiguredForDatabaseAccess()

      Get whether the Decision Service is configured for Database Access (EDC)
      Returns:
        A boolean of whether the Decision Service is enabled for EDC

    - #### isConfiguredForObjectExecution

          boolean isConfiguredForObjectExecution()

      Get whether the Decision Service is configured for Object Execution
      Returns:
        A boolean of whether or not the Decision Service can process a payload of Business Objects.

    - #### getDecisionServiceVersionDisplay

          java.lang.String getDecisionServiceVersionDisplay()

      A utility method that offers up a clean looking Version String.
      Returns:
        A String of Decision Service's version.

Copyright © 2005-2019 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.